日本語
ファイルにコメントまたは返信を作成します。
curl -X POST 'https://api.youvico.com/api/files/FX1234567890ABCD/comments' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "content": "Updated and re-exported.", "anchor": 12000, "duration": 3000, "parent": { "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6" } }'
{ "data": { "id": "84202e58-bf8c-471d-af07-0ab0f5b0f82b" } }
id
string
content
Maximum 5000 characters
Example: Updated and re-exported.
Updated and re-exported.
anchor
number
Integer, 0-2147483647
Example: 12000
12000
duration
Example: 3000
3000
parent
object
parent.id
UUID
Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
attachments
array
1-10 items, unique IDs
attachments[].id
情報
空でない content、anchor、attachments のいずれか1つ以上を送信し、duration は anchor と一緒にのみ送信します。
201 Created を返します。
201 Created
data
data.id
Example: 84202e58-bf8c-471d-af07-0ab0f5b0f82b
84202e58-bf8c-471d-af07-0ab0f5b0f82b
コメント作成(ファイル)
ファイルにコメントまたは返信を作成します。
例
リクエスト
パス
idstringrequiredボディ
contentstringMaximum 5000 characters
Example:
Updated and re-exported.anchornumberInteger, 0-2147483647
Example:
12000durationnumberInteger, 0-2147483647
Example:
3000parentobjectparent.idstringrequiredUUID
Example:
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6attachmentsarray1-10 items, unique IDs
attachments[].idstringrequired情報
空でない
content、anchor、attachmentsのいずれか1つ以上を送信し、durationはanchorと一緒にのみ送信します。レスポンス
201 Createdを返します。dataobjectdata.idstringExample:
84202e58-bf8c-471d-af07-0ab0f5b0f82b